
package com.tmerclub.cloud.common.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套餐订单表DTO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class ComboOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐订单id")
    private Long comboOrderId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "user_id")
    private Long userId;

    @Schema(description = "套餐数量")
    private Integer comboNum;

    @Schema(description = "支付金额")
    private Long payPrice;

    @Schema(description = "订单编号")
    private Long orderNumber;

    @Schema(description = "状态(0:待支付、1:支付成功)")
    private Integer status;

    public Long getComboOrderId() {
        return comboOrderId;
    }

    public void setComboOrderId(Long comboOrderId) {
        this.comboOrderId = comboOrderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getComboNum() {
        return comboNum;
    }

    public void setComboNum(Integer comboNum) {
        this.comboNum = comboNum;
    }

    public Long getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(Long payPrice) {
        this.payPrice = payPrice;
    }

    public Long getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Long orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "ComboOrderDTO{" +
                "comboOrderId=" + comboOrderId +
                ",shopId=" + shopId +
                ",comboId=" + comboId +
                ",userId=" + userId +
                ",comboNum=" + comboNum +
                ",payPrice=" + payPrice +
                ",orderNumber=" + orderNumber +
                ",status=" + status +
                '}';
    }
}
